All of lore.kernel.org
 help / color / mirror / Atom feed
From: Hannes Reinecke <hare@suse.de>
To: Sagi Grimberg <sagi@grimberg.me>
Cc: Christoph Hellwig <hch@lst.de>, Keith Busch <keith.busch@wdc.com>,
	Omar Sandoval <osandov@fb.com>,
	linux-nvme@lists.infradead.org, Hannes Reinecke <hare@suse.de>
Subject: [PATCH 01/10] nvme/rc: do not print error message when no nvme device is found
Date: Tue, 23 Nov 2021 08:49:31 +0100	[thread overview]
Message-ID: <20211123074940.113390-2-hare@suse.de> (raw)
In-Reply-To: <20211123074940.113390-1-hare@suse.de>

_find_nvme_dev() will only print an nvme device node if one is found,
so no point in printing an error message.

Signed-off-by: Hannes Reinecke <hare@suse.de>
Reviewed-by: Sagi Grimberg <sagi@grimberg.me>
---
 tests/nvme/rc | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tests/nvme/rc b/tests/nvme/rc
index 1c27cde..086c094 100644
--- a/tests/nvme/rc
+++ b/tests/nvme/rc
@@ -306,6 +306,7 @@ _find_nvme_dev() {
 	local subsysnqn
 	local dev
 	for dev in /sys/class/nvme/nvme*; do
+		[ -e "$dev" ] || continue
 		dev="$(basename "$dev")"
 		subsysnqn="$(cat "/sys/class/nvme/${dev}/subsysnqn")"
 		if [[ "$subsysnqn" == "$subsys" ]]; then
-- 
2.29.2



  reply	other threads:[~2021-11-23  7:52 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-23  7:49 [PATCHv3 blktests 00/10] Testsuite for nvme in-band authentication Hannes Reinecke
2021-11-23  7:49 ` Hannes Reinecke [this message]
2021-12-13 22:43   ` [PATCH 01/10] nvme/rc: do not print error message when no nvme device is found Chaitanya Kulkarni
2021-11-23  7:49 ` [PATCH 02/10] nvme/rc: clear allowed_hosts subdirectory Hannes Reinecke
2021-12-13 22:44   ` Chaitanya Kulkarni
2021-11-23  7:49 ` [PATCH 03/10] nvme/rc: clear hosts directory in _cleanup_nvmet() Hannes Reinecke
2021-12-13 22:45   ` Chaitanya Kulkarni
2021-11-23  7:49 ` [PATCH 04/10] nvme/rc: add functions for in-band authentication Hannes Reinecke
2021-12-13 22:50   ` Chaitanya Kulkarni
2021-11-23  7:49 ` [PATCH 05/10] nvme/rc: add more arguments to _nvme_connect_subsys() Hannes Reinecke
2021-12-13 22:51   ` Chaitanya Kulkarni
2021-11-23  7:49 ` [PATCH 06/10] nvme/039: create authenticated connections Hannes Reinecke
2021-12-13 22:55   ` Chaitanya Kulkarni
2021-12-14  7:09     ` Hannes Reinecke
2021-12-13 23:01   ` Chaitanya Kulkarni
2021-12-14  7:16     ` Hannes Reinecke
2021-12-14  7:36       ` Chaitanya Kulkarni
2021-12-13 23:03   ` Chaitanya Kulkarni
2021-11-23  7:49 ` [PATCH 07/10] nvme/040: test dhchap key types for " Hannes Reinecke
2021-11-23  7:49 ` [PATCH 08/10] nvme/041: test hash and dh group variations " Hannes Reinecke
2021-11-23  7:49 ` [PATCH 09/10] nvme/042: test bi-directional authentication Hannes Reinecke
2021-11-28 13:36   ` Sagi Grimberg
2021-11-28 17:34     ` Hannes Reinecke
2021-12-08 13:09       ` Sagi Grimberg
2021-12-10 12:06         ` Hannes Reinecke
2021-12-12  9:53           ` Sagi Grimberg
2021-12-12 12:38             ` Hannes Reinecke
2022-03-28 11:20               ` Sagi Grimberg
2022-03-28 12:02                 ` Hannes Reinecke
2022-03-28 13:29                   ` Hannes Reinecke
2021-11-23  7:49 ` [PATCH 10/10] nvme/043: test re-authentication Hannes Reinecke
2022-06-05 23:58 ` [PATCHv3 blktests 00/10] Testsuite for nvme in-band authentication Chaitanya Kulkarni
2022-06-06  0:36   ` Chaitanya Kulkarni
  -- strict thread matches above, loose matches on Subject: below --
2022-03-28 10:18 [PATCHv4 " Hannes Reinecke
2022-03-28 10:18 ` [PATCH 01/10] nvme/rc: do not print error message when no nvme device is found Hannes Reinecke
2022-06-10 11:33 [PATCHv5 blktests 00/10] Testsuite for nvme in-band authentication Hannes Reinecke
2022-06-10 11:33 ` [PATCH 01/10] nvme/rc: do not print error message when no nvme device is found Hannes Reinecke

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20211123074940.113390-2-hare@suse.de \
    --to=hare@suse.de \
    --cc=hch@lst.de \
    --cc=keith.busch@wdc.com \
    --cc=linux-nvme@lists.infradead.org \
    --cc=osandov@fb.com \
    --cc=sagi@grimberg.me \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.